package com.caimei365.manager.entity.hehe.product;

import com.caimei365.manager.entity.caimei.svip.CmSku;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 活动商品Entity
 */
@Data
public class HeHeActivityProduct {

    private static final long serialVersionUID = 1L;

    /**
     * 呵呵活动id
     */
    private Integer activityId;
    /**
     * 对应采美商品id
     */
    private Integer productId;
    /**
     * 排序值
     */
    private Integer sort;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品图片
     */
    private String mainImage;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 用户id
     */
    private Integer userId;
    private List<CmSku> skus;
    /**
     * 有无活动价 0无1有
     */
    private Integer LadderFlag;

}