package com.caimei365.manager.entity.caimei;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/10
 */
@Data
public class CmUser {
    /**
     * 用户状态，1正常，0冻结
     */
    private Integer validFlag;
    /**
     * 注册时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String registerTime;
    /**
     * 用户类型，见表c_usertype或枚举UserType
     */
    private Integer registerUserTypeId;
    /**
     * 密码
     */
    private String password;
    /**
     * userId
     */
    private Integer userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 会所Id
     */
    private String clubId;
    /**
     * 企业绑定手机号
     */
    private String bindMobile;
    /**
     * 用户身份
     */
    private Integer userIdentity;
    /**
     * 企业绑定手机号
     */
    private String contractMobile;
    /**
     * 机构名称
     */
    private String name;
    /**
     * 机构简称
     */
    private String shortName;
    /**
     * 机构联系人
     */
    private String linkMan;
}
