package com.caimei365.manager.entity.hehe.product;


import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class CmSmalltype {
	
	private static final long serialVersionUID = 1L;

	private String smallTypeId;
	/**
	 * 一级分类Id
	 */
	private String bigTypeId;
	/**
	 *  商城类型：1采美商城，2呵呵商城
	 */
	private Integer mallType;
	private String name;
	/**
	 * 小分类编码
	 */
	private String smallTypeCode;
	/**
	 * www启用标识，0停用，1启用
	 */
	private String wwwValidFlag;
	/**
	 * 小程序启用标识，0停用，1启用
	 */
	private String crmValidFlag;
	/**
	 * 排序值
	 */
	private Integer sortIndex;
	/**
	 * www图标
	 */
	private String wwwIcon;
	/**
	 * 小程序图标
	 */
	private String crmIcon;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String addTime;

	/**
	 * 分类类型，0产品，1仪器
	 */
	private String typeSort;

}