package com.caimei365.manager.entity.hehe.product;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 呵呵商城内部优惠Entity
 * @author zzj
 */
@Data
public class InsideDiscount {

	/**
	 * 标题
	 */
	private String title;
	/**
	 * 折扣率
	 */
	private Integer discount;
	/**
	 * 状态
	 */
	private Integer status;
	/**
	 * 优惠商品
	 */
	private Integer productType;
	/**
	 * 创建时间
	 */
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String addTime;
	/**
	 * 商品json数据
	 */
	private String productInfo;
	/**
	 * 用户json数据
	 */
	private String userInfo;

}