package com.caimei365.manager.service.hehe.product;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.hehe.product.*;

import java.util.List;

public interface HeHeProductService {
    ResponseJson<PaginationVo<HeHeProduct>> productList(HeHeProduct product, int pageNum, int pageSize);

    ResponseJson<PaginationVo<HeHeBigType>> bigTypeList(HeHeBigType type, int pageNum, int pageSize);

    ResponseJson<PaginationVo<HeHeActivity>> activeList(HeHeActivity activity, int pageNum, int pageSize);

    ResponseJson<PaginationVo<DiscountActivity>> discountActiveList(DiscountActivity activity, int pageNum, int pageSize);

    ResponseJson<PaginationVo<ShareReduction>> shareReductionList(ShareReduction reduction, int pageNum, int pageSize);

    ResponseJson<PaginationVo<InsideDiscount>> insideDiscountList(InsideDiscount discount, int pageNum, int pageSize);

    ResponseJson<PaginationVo<CollageProduct>> CollageProductList(CollageProduct collage, int pageNum, int pageSize);

    ResponseJson<PaginationVo<CollageRecord>> CollageRecordList(CollageRecord collage, int pageNum, int pageSize);

    ResponseJson<PaginationVo<HeHeActivityProduct>> salesProductList(HeHeActivityProduct product, int pageNum, int pageSize);

    ResponseJson<PaginationVo<HeHeProduct>> salesActivityProductList(String name, Integer userId, String shopName, int pageNum, int pageSize);

    ResponseJson<List<HeHeBigType>> findBigType();

    ResponseJson<List<CmSmalltype>> findSmallTypeList(Integer bigTypeId);

    ResponseJson<List<HeHeActivity>> findProductActivity();

    ResponseJson<List<HeHeProduct>> choseProductPage(HeHeProduct product);

    ResponseJson saveProduct(HeHeProduct product);
}
